Package org.jbpm.ruleflow.core.factory

## Class DynamicNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<T,​P>
  - - org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory<T,​P>
    - - org.jbpm.ruleflow.core.factory.DynamicNodeFactory<T>

- All Implemented Interfaces:
    `org.kie.api.fluent.CompositeNodeOperations<org.kie.api.fluent.DynamicNodeBuilder<T>,​T>`, `org.kie.api.fluent.DynamicNodeBuilder<T>`, `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.DynamicNodeBuilder<T>,​T>`, `org.kie.api.fluent.NodeContainerBuilder<org.kie.api.fluent.DynamicNodeBuilder<T>,​T>`

      public class DynamicNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>
      extends RuleFlowNodeContainerFactory<T,​P>
      implements org.kie.api.fluent.DynamicNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicNodeFactory​(T nodeContainerFactory, NodeContainer nodeContainer, long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DynamicNodeFactory<T>` | `autoComplete​(boolean autoComplete)` |
    `P` | `done()` |
    `protected CompositeContextNode` | `getCompositeNode()` |
    `protected DynamicNode` | `getDynamicNode()` |
    `T` | `linkIncomingConnections​(long nodeId)` |
    `T` | `linkOutgoingConnections​(long nodeId)` |
    `T` | `variable​(String name, DataType type)` |
    `T` | `variable​(String name, DataType type, Object value)` |

    - ### Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, exceptionHandler, exceptionHandler, exceptionHandler, faultNode, forEachNode, humanTaskNode, joinNode, milestoneNode, ruleSetNode, splitNode, startNode, subProcessNode, timerNode, variable, workItemNode`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `getNode, name, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.CompositeNodeOperations

      `linkIncomingConnections, linkOutgoingConnections`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

    - ### Methods inherited from interface org.kie.api.fluent.NodeContainerBuilder

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, exceptionHandler, faultNode, forEachNode, humanTaskNode, joinNode, milestoneNode, ruleSetNode, splitNode, startNode, subProcessNode, timerNode, variable, workItemNode`

- - ### Constructor Detail

    - #### DynamicNodeFactory

          public DynamicNodeFactory​(T nodeContainerFactory,
                                    NodeContainer nodeContainer,
                                    long id)

  - ### Method Detail

    - #### getDynamicNode

          protected DynamicNode getDynamicNode()

    - #### autoComplete

          public DynamicNodeFactory<T> autoComplete​(boolean autoComplete)

      Specified by:
        `autoComplete` in interface `org.kie.api.fluent.DynamicNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​?>>`

    - #### getCompositeNode

          protected CompositeContextNode getCompositeNode()

    - #### variable

          public T variable​(String name,
                            DataType type)

    - #### variable

          public T variable​(String name,
                            DataType type,
                            Object value)

    - #### linkIncomingConnections

          public T linkIncomingConnections​(long nodeId)

    - #### linkOutgoingConnections

          public T linkOutgoingConnections​(long nodeId)

    - #### done

          public P done()

      Specified by:
        `done` in interface `org.kie.api.fluent.NodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>`
      Overrides:
        `done` in class `NodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,​P>,​P extends org.kie.api.fluent.NodeContainerBuilder<P,​?>>`